%define oname   addressable

Name:       ruby-%{oname}
Version:    2.2.5
Release:    %mkrel 1
Summary:    A replacement for the URI implementation of Ruby's standard library
Group:      Development/Ruby
License:    MIT
URL:        http://addressable.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     addressable-2.2.5-rspec2.patch
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 2.0.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

%files
%defattr(-, root, root, -)
%doc CHANGELOG
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 2.2.5-1.mga1
+ Revision: 86273
- New version 2.2.5
- rediff patch
- fix file list

* Tue Feb 15 2011 shikamaru <shikamaru> 2.2.4-1.mga1
+ Revision: 52042
- new version 2.2.4

* Thu Feb 03 2011 shikamaru <shikamaru> 2.2.2-3.mga1
+ Revision: 46745
- Add check section
- add patch to support rspec2
- add buildrequires
- bump release

* Tue Jan 25 2011 shikamaru <shikamaru> 2.2.2-2.mga1
+ Revision: 39113
- imported package ruby-addressable


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.2.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 2.2.2-1mdv2011.0
+ Revision: 592966
- import rubygem-addressable

